Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
OItem Class Reference

class representing the item in order (with its address, and all description) -> Order Item More...

`#include <WarehousePickingOpt.h>`

## Public Member Functions
| OItem (int Customer, int Product, string AddressCode, int Qty)
| constructor More...
void | addItemSpecification (ItemSpecification itspec)
| adding the item specification
float | getWeight ()
| getter of item weight More...
float | getVolume ()
| getter of item volume More...
void | countWeightAndVolume ()
| function for counting the volume and weight of this item (because this item can include more units)

## Public Attributes
int | Customer
int | Product
string | Address
int | Qty
WAddress * | waddress
| address in its representation for algorithm proposes
map< ItemSpecification::Type, ItemSpecification > | item_spec
| item specification reference

## Detailed Description

class representing the item in order (with its address, and all description) -> Order Item

## Constructor & Destructor Documentation

## ◆ OItem()

OItem::OItem | ( | int | Customer,
|  | int | Product,
|  | string | AddressCode,
|  | int | Qty
| ) |  |

constructor

Parameters

  Customer | Customer number - used for recognition which items belong to one customer
  Product | Product number - used for recognition which item specification belongs to which item
  Address | Address code string - the string, which contains exact position of item in warehouse in 3D coordinates
  Qty | Quantity of units in this item

## Member Function Documentation

## ◆ getVolume()

float OItem::getVolume | ( |  | ) |

getter of item volume

Returns
  volume of item as float - ALL OF THE UNITS INCLUDED

## ◆ getWeight()

float OItem::getWeight | ( |  | ) |

getter of item weight

Returns
  weight of item as float - ALL OF THE UNITS INCLUDED

The documentation for this class was generated from the following files:

- WarehousePickingOpt.h
- oitem.cpp